Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.annotation.ejb
Enum DeliveryMode

    java.lang.Object
      java.lang.Enum<DeliveryMode>
          org.jboss.annotation.ejb.DeliveryMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DeliveryMode>

    public enum DeliveryMode

extends java.lang.Enum<DeliveryMode>

Enumeration for specifying the persistence of a JMS message

Author:
  Bill Burke

Enum Constant Summary
`NON_PERSISTENT`
`PERSISTENT`

Method Summary
`static DeliveryMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DeliveryMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NON_PERSISTENT

    public static final DeliveryMode NON_PERSISTENT

### PERSISTENT

    public static final DeliveryMode PERSISTENT

Method Detail

### values

    public static final DeliveryMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(DeliveryMode c : DeliveryMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static DeliveryMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD